Not able to install mysql gem

Hi,

OS - Windows Xp Ruby - 1.8.6 rails - 2.3.4

When i try to run this command gem install mysql

I am getting this error ERROR: Error installing mysql:         invalid gem format for C:/Ruby/lib/ruby/gems/1.8/cache/ mysql-2.8.1-x86-m swin32.gem